
package com.tmerclub.cloud.order.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;

/**
 * 虚拟订单核销信息
 *
 * @author lhd
 * @date 2023-02-24 13:45:35
 */
public class OrderVirtualInfo extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * id
     */
    private Long orderVirtualInfoId;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 订单项id
     */
    private Long orderItemId;
    /**
     * 店铺id
     */
    private Long shopId;
    /**
     * 门店id
     */
    private Long stationId;
    /**
     * 核销码
     */
    private String writeOffCode;

    /**
     * 剩余的多次核销次数
     */
    private Integer writeOffMultipleCount;

    /**
     * 是否核销 1.已核销 0.未核销
     */
    private Integer isWriteOff;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 核销时间
     */
    private Date writeOffTime;

    public Long getOrderItemId() {
        return orderItemId;
    }

    public void setOrderItemId(Long orderItemId) {
        this.orderItemId = orderItemId;
    }

    public Long getOrderVirtualInfoId() {
        return orderVirtualInfoId;
    }

    public void setOrderVirtualInfoId(Long orderVirtualInfoId) {
        this.orderVirtualInfoId = orderVirtualInfoId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    public String getWriteOffCode() {
        return writeOffCode;
    }

    public void setWriteOffCode(String writeOffCode) {
        this.writeOffCode = writeOffCode;
    }

    public Integer getWriteOffMultipleCount() {
        return writeOffMultipleCount;
    }

    public void setWriteOffMultipleCount(Integer writeOffMultipleCount) {
        this.writeOffMultipleCount = writeOffMultipleCount;
    }

    public Integer getIsWriteOff() {
        return isWriteOff;
    }

    public void setIsWriteOff(Integer isWriteOff) {
        this.isWriteOff = isWriteOff;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getWriteOffTime() {
        return writeOffTime;
    }

    public void setWriteOffTime(Date writeOffTime) {
        this.writeOffTime = writeOffTime;
    }

    @Override
    public String toString() {
        return "OrderVirtualInfo{" +
                "orderVirtualInfoId=" + orderVirtualInfoId +
                ", orderId=" + orderId +
                ", orderItemId=" + orderItemId +
                ", shopId=" + shopId +
                ", stationId=" + stationId +
                ", writeOffCode='" + writeOffCode + '\'' +
                ", writeOffMultipleCount=" + writeOffMultipleCount +
                ", isWriteOff=" + isWriteOff +
                ", createTime=" + createTime +
                ", writeOffTime=" + writeOffTime +
                '}';
    }
}
